Summary:	XMMS like audio player written in Qt
Summary(hu.UTF-8):	XMMS-szerű Qt alapú audio-lejátszó
Summary(pl.UTF-8):	Odtwarzacz muzyki w stylu XMMS napisany w Qt
Name:		qmmp
Version:	0.7.1
Release:	2
License:	GPL v2
Group:		X11/Applications/Multimedia
Source0:	http://qmmp.googlecode.com/files/%{name}-%{version}.tar.bz2
# Source0-md5:	d5ecc15134eefc1b8af4220540a65f19
URL:		http://code.google.com/p/qmmp/
BuildRequires:	Qt3Support-devel
BuildRequires:	QtCore-devel >= 4.6
BuildRequires:	QtGui-devel >= 4.6
BuildRequires:	QtNetwork-devel
BuildRequires:	QtOpenGL-devel
BuildRequires:	alsa-lib-devel >= 1.0.1
BuildRequires:	cmake
BuildRequires:	curl-devel >= 7.16
BuildRequires:	enca-devel >= 1.9
BuildRequires:	faad2-devel
BuildRequires:	ffmpeg-devel >= 0.4.9
BuildRequires:	flac-devel >= 1.1.3
BuildRequires:	game-music-emu-devel
BuildRequires:	gettext-devel
BuildRequires:	jack-audio-connection-kit-devel >= 0.102.5
BuildRequires:	libbs2b-devel >= 3.0.0
BuildRequires:	libcddb-devel
BuildRequires:	libcdio-devel
BuildRequires:	libcdio-devel
BuildRequires:	libmad-devel
BuildRequires:	libmms-devel >= 0.4
BuildRequires:	libmodplug-devel >= 0.8.4
BuildRequires:	libmpcdec-devel >= 1.2.6
BuildRequires:	libprojectM-devel >= 2.0.0
BuildRequires:	libsamplerate-devel >= 0.1.2
BuildRequires:	libsndfile-devel >= 1.0.17
BuildRequires:	libvorbis-devel
BuildRequires:	opusfile-devel >= 0.2
BuildRequires:	pulseaudio-devel >= 0.9.15
BuildRequires:	qt4-linguist
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	sed >= 4.0
BuildRequires:	taglib-devel >= 1.4.0
BuildRequires:	wavpack-devel >= 4.41
BuildRequires:	wildmidi-devel
Requires(post,postun):	/sbin/ldconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Audio player that supports:
- file formats among: Vorbis, FLAC, MPEG1, WMA, WAV,
- plugins,
- Winamp and XMMS skins and more.

%description -l hu.UTF-8
A lejátszó a következőket támogatja:
- fájlformátumok: Vorbis, FLAC, MPEG1, WMA, WAV
- pluginok
- Wnamp és XMMS szkinek és még sok mást.

%description -l pl.UTF-8
Odtwarzacz audio wspierający:
- formaty plikow m.in.: Vorbis, Flac, MPEG1, WMA, WAW, i inne,
- system wtyczek,
- skórki z XMMS i Winampa, i więcej.

%package devel
Summary:	Header files for qmmp
Summary(pl.UTF-8):	Pliki nagłówkowe qmmp
License:	GPL v2.1+
Group:		Development/Libraries

%description devel
Header files for qmmp

%description devel -l pl.UTF-8
Pliki nagłówkowe qmmp


%prep
%setup -q

%build
install -d build
cd build
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DLIB_INSTALL_DIR=%{_libdir} \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

cd build
%{__make} install \
        DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir} \
        kde_libs_htmldir=%{_kdedocdir}


%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libqmmp.so.0.*.*
%attr(755,root,root) %ghost %{_libdir}/libqmmp.so.0
%attr(755,root,root) %{_libdir}/libqmmpui.so.0.*.*
%attr(755,root,root) %ghost %{_libdir}/libqmmpui.so.0
%attr(755,root,root) %{_libdir}/qmmp/
%{_desktopdir}/qmmp.desktop
%{_desktopdir}/qmmp_cue.desktop
%{_desktopdir}/qmmp_enqueue.desktop
%{_desktopdir}/qmmp_dir.desktop
%dir %{_datadir}/qmmp
%dir %{_datadir}/qmmp/images
%{_datadir}/qmmp/images/*.png
%{_iconsdir}/hicolor/*/apps/qmmp.png
%{_iconsdir}/hicolor/scalable/apps/*.svgz

%files devel
%defattr(644,root,root,755)
%{_includedir}/qmmp
%{_includedir}/qmmpui
%attr(755,root,root) %{_libdir}/libqmmp.so
%attr(755,root,root) %{_libdir}/libqmmpui.so
%{_pkgconfigdir}/qmmp.pc
%{_pkgconfigdir}/qmmpui.pc
%changelog
* Sun Aug 25 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qmmp.git;a=log;h=master

* Sun Aug 25 2013 Jan Rękorajski <baggins@pld-linux.org> 1099ee2
- release 2 (by relup.sh)

* Fri Jun 21 2013 Lukasz Glebicki <blekot@pld-linux.org> 32cace1
- up to 0.7.1
- BR: opusfile-devel

* Sun Apr 07 2013 Lukasz Glebicki <blekot@pld-linux.org> 90f934d
- already in sources

* Sun Apr 07 2013 Lukasz Glebicki <blekot@pld-linux.org> d538f3d
- updated verions BR
- TODO done * thanks qboosh for libbs2b
- added bbb2s plugin
- up to 0.6.8
- patch is already in sources

* Sun Feb 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> f9fed23
- up to 0.6.6; libcdio build fix

* Sun Feb 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 5ab1852
- release 2 (by relup.sh)

* Fri Nov 16 2012 Jan Rękorajski <baggins@pld-linux.org> ef8378a
- updated to 0.6.4

* Thu May 31 2012 blekot <blekot@pld-linux.org> 3a3af79
- up to 0.5.5
- a horde of new BRs: enca-devel faad2-devel game-music-emu-devel libcddb-devel libcdio-devel libcdio-devel libmms-devel libprojectM-devel wildmidi-devel
- added TODO due to one of feature needs package which doesn't exist in our repo

* Sat Sep 10 2011 Zsolt Udvari <uzsolt@pld-linux.org> 9874308
- 0.5.2

* Tue May 24 2011 Zsolt Udvari <uzsolt@pld-linux.org> e1e1ee8
- 0.5.1
- needs more packaging

* Fri Feb 18 2011 Zsolt Udvari <uzsolt@pld-linux.org> 66789ff
- 0.4.4

* Fri Feb 04 2011 sparky <sparky@pld-linux.org> 2d88363
- %description <name> for correct %package

* Sat Oct 31 2009 Zsolt Udvari <uzsolt@pld-linux.org> 36eceb6
- 0.3.1

* Mon Aug 03 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 4627d9f
- cmake case sensitive var values

* Sun Jul 12 2009 Zsolt Udvari <uzsolt@pld-linux.org> 9af05c3
- replace BR curl to curl-devel

* Sun Jul 12 2009 Zsolt Udvari <uzsolt@pld-linux.org> 3181b8e
- 0.3.0 (rel 1)
- hu
- package more desktop files

* Sun Apr 19 2009 vip <vip@pld-linux.org> 7a65af5
- rel 2

* Sat Apr 18 2009 wolf <wolf@pld-linux.org> e5634a0
- BR qt4-linguist

* Sat Apr 18 2009 wolf <wolf@pld-linux.org> 8c14538
- md5

* Sat Apr 18 2009 vip <vip@pld-linux.org> cfb8463
- fix header

